> For a complete page index, fetch https://developer.close.com/llms.txt

# Get sent emails report

GET https://api.close.com/api/v1/report/sent_emails/{org_id}/

Reference: https://developer.close.com/api/resources/reporting/get-sent-emails

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `org_id` (string, required)

### Query parameters

- `date_start` (string, optional)
- `date_end` (string, optional)
- `user_id` (string, optional)

## Response

### 200

Successful response

## Examples

**Response**

```json
{
  "sent_email_stats": [
    {
      "_queries": {
        "opened": "email(direction:sent opened:yes)",
        "responded": "email(direction:sent has_reply:yes)",
        "total": "email(direction:sent)"
      },
      "is_shared": true,
      "name": "All Emails",
      "opened": 3474546,
      "percentage_opened": 21,
      "percentage_responded": 10,
      "responded": 348741,
      "template_id": null,
      "template_url": null,
      "total": 735434
    },
    {
      "_queries": {
        "opened": "email(direction:sent template:\"Promo Email\" opened:yes)",
        "responded": "email(direction:sent template:\"Promo Email\" has_reply:yes)",
        "total": "email(direction:sent template:\"Promo Email\")"
      },
      "is_shared": true,
      "name": "Promo Email",
      "opened": 40,
      "percentage_opened": 40,
      "percentage_responded": 9,
      "responded": 9,
      "template_id": "tmpl_vB0Ql8Npgkq84jly82lqFn331D2tFfA2QXcRUvzcCOt",
      "template_url": "/organization/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/email_templates/tmpl_vB0Ql8Npgkq84jly82lqFn331D2tFfA2QXcRUvzcCOt/",
      "total": 101
    }
  ]
}
```

**SDK Code**

```python reporting_getSentEmails_example
import requests

url = "https://api.close.com/api/v1/report/sent_emails/org_id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript reporting_getSentEmails_example
const url = 'https://api.close.com/api/v1/report/sent_emails/org_id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go reporting_getSentEmails_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/report/sent_emails/org_id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby reporting_getSentEmails_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/report/sent_emails/org_id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java reporting_getSentEmails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/report/sent_emails/org_id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php reporting_getSentEmails_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/report/sent_emails/org_id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp reporting_getSentEmails_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/report/sent_emails/org_id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```